#!/usr/bin/perl -w -I/usr/sausalito/perl -I/usr/sausalito/handlers/base/sauce-basic

use CCE;
use Workgroup;

my $cce = new CCE;
$cce->connectfd(\*STDIN,\*STDOUT);

my $obj = $cce->event_object();
my $old = $cce->event_old();

print STDERR "$0: destroying group ",$old->{name},"\n";

# not needed for destructor: Workgroup::validate($cce);

my $fun = sub {
	my ($fin, $fout) = (shift, shift);
	my $oldname = $old->{name};
	my $ok = 0;
	while ($_ = <$fin>) {
		if (m/^${oldname}:x:(\d+)/) {
			$ok = 1;
		} else {
			print $fout $_;
		}
	}
	return $ok;
};

if ($obj->{dont_delete}) {
	$cce->bye('FAIL');
	exit 1;
}

my $ret = Workgroup::editfile("/etc/group", $fun);
if (0 && !$ret) { # don't fail.  it's all good.
	$cce->bye('FAIL');
	exit 1;
} 

{
	$olddir = "/home/groups/".$old->{name};
	system("/bin/rm", "-rf", $olddir);
}

$cce->bye('SUCCESS');
exit 0;

# done.
